## qrouter 1.3.3

=== Makefile ===
#
# qrouter Makefile
#

# Main compiler arguments
CFLAGS += -g -O2
CPPFLAGS =  -m64 -fPIC
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DHAVE_VA_COPY=1 -DHAVE___VA_COPY=1 -DQROUTER_PATH=\"/usr/local/share/qrouter\" -DHAVE_LIBXT=1 -DTCL_QROUTER=1 -DLINUX=1 -DSYSV=1 -DVERSION=\"1.3\" -DREVISION=\"0\"
LIBS = -lXt 
LDFLAGS += 
LDDL_FLAGS = -shared -Wl,-soname,$@ -Wl,--version-script=symbol.map
LD_RUN_PATH = 
SHLIB_CFLAGS = -fPIC
LIB_SPECS =  -ltk8.5 -ltcl8.5
INC_SPECS = 
TCL_LIB_DIR = /usr/lib64
TK_LIB_DIR = /usr/lib64
EXTRA_LIB_SPECS = -ldl
INSTALL = /usr/bin/install -c
SHDLIB_EXT = .so
EXEEXT = 
X_LIBS = 
X_EXTRA_LIBS = 
X_PRE_LIBS =  -lSM -lICE
LIBINSTALL = /usr/local/share/qrouter
WISH_EXE = /usr/bin/wish
VERSION = 1.3
REVISION = 0
prefix = /usr/local

INSTALL_TARGET := install-tcl
ALL_TARGET := tcl

SOURCES = qrouter.c maze.c node.c qconfig.c lef.c def.c
OBJECTS := $(patsubst %.c,%.o,$(SOURCES))

SOURCES2 = graphics.c tclqrouter.c tkSimple.c
OBJECTS2 := $(patsubst %.c,%.o,$(SOURCES2))

SOURCES3 = qrouterexec.c
OBJECTS3 := $(patsubst %.c,%.o,$(SOURCES3))

SOURCES4 = main.c
OBJECTS4 := $(patsubst %.c,%.o,$(SOURCES4))

BININSTALL = ${prefix}/bin

all: $(ALL_TARGET)

install: $(INSTALL_TARGET)

nointerp: qrouter$(EXEEXT)

tcl: qrouter.sh qrouter.tcl qrouter$(SHDLIB_EXT) qrouterexec$(EXEEXT)

qrouter.tcl: qrouter.tcl.in
	sed -e '/LIBDIR/s#LIBDIR#${LIBINSTALL}#' \
	    -e '/VERSION/s#VERSION#${VERSION}#' \
	    -e '/REVISION/s#REVISION#${REVISION}#' \
		qrouter.tcl.in > $@

qrouter.sh: qrouter.sh.in
	sed -e '/WISH_EXE/s#WISH_EXE#${WISH_EXE}#' \
	    -e '/LIBDIR/s#LIBDIR#${LIBINSTALL}#' \
		qrouter.sh.in > $@
	chmod 0755 $@

qrouter$(EXEEXT): $(OBJECTS) $(OBJECTS4)
	$(CC) $(LDFLAGS) $(OBJECTS) $(OBJECTS4) -o $@ $(LIBS) -lm

qrouter$(SHDLIB_EXT): $(OBJECTS) $(OBJECTS2)
	$(RM) qrouter$(SHDLIB_EXT)
	$(CC) ${CFLAGS} ${SHLIB_CFLAGS} -o $@ \
		${LDDL_FLAGS} $(OBJECTS) $(OBJECTS2) \
		${LDFLAGS} -lc ${LIBS} ${X_PRE_LIBS} -lX11 ${X_LIBS} \
		${X_EXTRA_LIBS} ${LIB_SPECS} ${EXTRA_LIB_SPECS} -lm

qrouterexec$(EXEEXT): $(OBJECTS3)
	$(RM) qrouterexec$(EXEEXT)
	$(CC) ${CFLAGS} ${CPPFLAGS} ${DEFS} \
		${SOURCES3} ${INC_SPECS} -o $@  ${LIB_SPECS} \
		${LD_RUN_PATH} ${LDFLAGS} ${X_PRE_LIBS} -lX11 ${X_LIBS} \
		${X_EXTRA_LIBS} ${LIBS} ${EXTRA_LIB_SPECS} -lm

install-nointerp:
	@echo "Installing qrouter"
	$(INSTALL) -d $(DESTDIR)${BININSTALL}
	$(INSTALL) qrouter $(DESTDIR)${BININSTALL}

install-tcl: qrouter.sh qrouter.tcl qrouter$(SHDLIB_EXT) qrouterexec$(EXEEXT)
	@echo "Installing qrouter"
	$(INSTALL) -d $(DESTDIR)${BININSTALL}
	$(INSTALL) -d $(DESTDIR)${LIBINSTALL}
	$(INSTALL) qrouter.sh $(DESTDIR)${BININSTALL}/qrouter
	$(INSTALL) qrouter$(SHDLIB_EXT) $(DESTDIR)${LIBINSTALL}
	$(INSTALL) qrouterexec$(EXEEXT) $(DESTDIR)${LIBINSTALL}
	$(INSTALL) console.tcl $(DESTDIR)${LIBINSTALL}
	$(INSTALL) tkcon.tcl $(DESTDIR)${LIBINSTALL}
	$(INSTALL) qrouter.tcl $(DESTDIR)${LIBINSTALL}

uninstall:
	$(RM) $(DESTDIR)${BININSTALL}/qrouter

clean:
	$(RM) $(OBJECTS)
	$(RM) $(OBJECTS2)
	$(RM) $(OBJECTS3)
	$(RM) $(OBJECTS4)
	$(RM) qrouterexec$(EXEEXT)
	$(RM) qrouter$(EXEEXT)
	$(RM) qrouter$(SHDLIB_EXT)
	$(RM) qrouter.tcl
	$(RM) qrouter.sh

veryclean:
	$(RM) $(OBJECTS)
	$(RM) $(OBJECTS2)
	$(RM) $(OBJECTS3)
	$(RM) $(OBJECTS4)
	$(RM) qrouterexec$(EXEEXT)
	$(RM) qrouter$(EXEEXT)
	$(RM) qrouter$(SHDLIB_EXT)
	$(RM) qrouter.tcl
	$(RM) qrouter.sh

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(SHLIB_CFLAGS) $(DEFS) $(INC_SPECS) -c $< -o $@

=== debian/changelog ===
qrouter (1.3.3-1ubuntu1) vivid; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 21 Dec 2014 04:50:49 -0500

qrouter (1.3.3-1) unstable; urgency=medium

  * New upstream release
    - Fixes FTBFS on certain architectures (Closes: 764740)
    - Fixes "invalid command name qrouter::lowerconsole" (Closes: 764743)
  * New standards version 3.9.6

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 11 Oct 2014 19:22:46 +0200

qrouter (1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #760629)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 21 Sep 2014 12:29:19 +0200

=== debian/control ===
Source: qrouter
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/debian-science/packages/qrouter.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/qrouter.git
Homepage: http://opencircuitdesign.com/qrouter/

Package: qrouter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tkcon
Description: Multi-level, over-the-cell maze router
 Qrouter is a tool to generate metal layers and vias to physically connect
 together a netlist in a VLSI fabrication technology. It is a maze router,
 otherwise known as an "over-the-cell" router or "sea-of-gates" router. That
 is, unlike a channel router, it begins with a description of placed standard
 cells, usually packed together at minimum spacing, and places metal routes
 over the standard cells.
 .
 Qrouter uses the open standard LEF and DEF formats as file input and output.
 It takes the cell definitions from a LEF file, and analyzes the geometry for
 each cell to determine contact points and route obstructions. It then reads
 the cell placement, pin placement, and netlist from a DEF file, performs the
 detailed route, and writes an annotated DEF file as output.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autotools_dev


override_dh_auto_configure:
	dh_auto_configure -- --with-libdir=/usr/lib/qrouter

## qrouter 1.3.11

=== debian/changelog ===
qrouter (1.3.11-1) unstable; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 23 Jul 2015 11:15:56 +0200

qrouter (1.3.10-1) unstable; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 30 May 2015 12:58:06 +0200

qrouter (1.3.8-2) unstable; urgency=low

  * Uploaded to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 23 May 2015 11:46:06 +0200

qrouter (1.3.8-1) experimental; urgency=medium

  * New upstream release
    - fixing segfault

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 08 Mar 2015 10:12:24 +0100

qrouter (1.3.7-1) experimental; urgency=low

  * New upstream release
    - removed patch 03_remove_files.patch
  * Refreshed patches
  * Added d/qrouter.lintian-overrides in order to ignore shlib-calls-exit
    for qrouter.so
  * d/rules updates:
    - Enabled full hardening
    - Including downstream change "--with autotools_dev"
    - Added override_dh_auto_clean target to make sure that it rebuilds
      cleanly even without manually cleaning the environment first.
  * Ran "cme fix dpkg-control" to fix formatting of d/control
  * Added d/gbp.conf to always use pristine-tar
  * d/copyright:
    - Some new years, one new copyright holder name and an extra email address
    - Moved license descriptions to the end of the file

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 20 Feb 2015 18:37:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: qrouter
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev
+Build-Depends: debhelper (>= 9),
+               autotools-dev,
+               tcl-dev,
+               tk-dev
 Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qrouter.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/qrouter.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/qrouter.git
 Homepage: http://opencircuitdesign.com/qrouter/
 
 Package: qrouter
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tkcon
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         tkcon
 Description: Multi-level, over-the-cell maze router
  Qrouter is a tool to generate metal layers and vias to physically connect
  together a netlist in a VLSI fabrication technology. It is a maze router,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# The build script crashes if "-pie" is given to the build command. Therefore
# enabling the missing hardening options with LDFLAGS_MAINT_APPEND (together
# with the --as-needed option) instead of with
# "DEB_BUILD_MAINT_OPTIONS = hardening=+all":
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now -Wl,--as-needed

%:
	dh $@ --with autotools_dev


override_dh_auto_configure:
	dh_auto_configure -- --with-libdir=/usr/lib/qrouter

override_dh_auto_clean:
	$(RM) -f Makefile config.log config.status
	$(RM) -f *.o
	$(RM) -f *.so qrouterexec
	$(RM) -f qrouter.sh qrouter.tcl
	dh_auto_clean

## qrouter 1.3.33

=== debian/changelog ===
qrouter (1.3.33-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 03 Jan 2016 11:21:51 +0100

qrouter (1.3.27-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    - fixed "--with-libdir=" because of changes upstream

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 16 Nov 2015 18:49:55 +0100

qrouter (1.3.20-1) unstable; urgency=low

  * New upstream release
  * Use "txt2man" to generate man page from txt file
    - Added d/man/genmanpages.sh, d/man/qrouter.txt and deleted
      d/qrouter.1
    - d/rules: Added rules to build man page during package build.
  * Added more information in man page

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 18 Oct 2015 21:06:59 +0200

qrouter (1.3.16-1) unstable; urgency=low

  * New upstream release
  * More info in man page

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 06 Oct 2015 18:44:06 +0200

qrouter (1.3.15-1) unstable; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 11 Sep 2015 07:40:07 +0200

qrouter (1.3.12-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    - Also run autoreconf to regenerate configure as well
  * debian/control:
    - Added build-dependency on dh-autoreconf

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 01 Sep 2015 22:05:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                autotools-dev,
+               dh-autoreconf,
                tcl-dev,
-               tk-dev
+               tk-dev,
+               txt2man
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qrouter.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/qrouter.git

=== debian/watch ===
version=3
http://opencircuitdesign.com/qrouter/archive/qrouter-(\d\S+)\.tgz

## qrouter 1.3.46

=== debian/changelog ===
qrouter (1.3.46-1) unstable; urgency=low

  * New upstream release
  * debian/control:
   - Standards version now 3.9.8 - no required changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 29 May 2016 01:32:18 +0200

qrouter (1.3.42-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
   - Standards version now 3.9.7 - no required changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 13 Apr 2016 20:20:39 +0200

qrouter (1.3.38-1) unstable; urgency=low

  * New upstream release
    - Fixes FTBFS with clang (Closes: #812170) (Thanks Arthur Marble)
  * d/control: Use https for git URL

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 19 Feb 2016 17:58:00 +0100

## qrouter 1.3.57

=== debian/changelog ===
qrouter (1.3.57-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 06 Oct 2016 18:26:33 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                tcl-dev,
                tk-dev,
                txt2man
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qrouter.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/qrouter.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/qrouter.git
 Homepage: http://opencircuitdesign.com/qrouter/
 
 Package: qrouter

## qrouter 1.3.80

=== debian/changelog ===
qrouter (1.3.80-1) unstable; urgency=medium

  * New upstream release
  * Uploaded to unstable
  * debian/control: New standards version 4.0.0 - no changes
  * debian/copyright: Added copyright year to 2017

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 13 Jul 2017 20:10:02 +0000

qrouter (1.3.69-1~exp1) experimental; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 24 Mar 2017 09:17:45 +0000

qrouter (1.3.67-1~exp1) experimental; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 17 Mar 2017 13:45:33 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                tcl-dev,
                tk-dev,
                txt2man
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qrouter.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/qrouter.git
 Homepage: http://opencircuitdesign.com/qrouter/

=== debian/rules ===
--- 
+++ 
@@ -8,17 +8,24 @@
 # "DEB_BUILD_MAINT_OPTIONS = hardening=+all":
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now -Wl,--as-needed
 
+
+CHANGELOG_DATE ?= $(shell date -d "`dpkg-parsechangelog --show-field Date`" +"%d %B %Y")
+
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autotools_dev,autoreconf
 
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-libdir=/usr/lib/qrouter
+	dh_auto_configure -- --with-libdir=lib/qrouter
 
 override_dh_auto_clean:
+	dh_auto_clean
 	$(RM) -f Makefile config.log config.status
 	$(RM) -f *.o
 	$(RM) -f *.so qrouterexec
 	$(RM) -f qrouter.sh qrouter.tcl
-	dh_auto_clean
+	$(RM) debian/man/*.1
 
+override_dh_installman:
+	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
+	dh_installman

## qrouter 1.3.104

=== debian/changelog ===
qrouter (1.3.104-2) unstable; urgency=medium

  * debian/compat: level 11
  * debian/control:
    - debhelper >= 11
    - Drop now useless build dependencies: autotools-dev and dh-autoreconf
    - New standards version 4.2.0 - no changes
  * d/patches/0004-Syntax-in-qrouter-expects-sh-to-be-a-link-to-bash.-F.patch
    - autopkgtest fails because TERM is not defined in test environment, and
      /usr/bin/qrouter expects the shell to be bash (but it is dash). Fix.
  * debian/upstream/metadata added

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 18 Aug 2018 18:44:37 +0200

qrouter (1.3.104-1) unstable; urgency=medium

  * New upstream version
  * debian/rules:
    - Do not use autotools_dev when building
  * debian/tests/control and debian/tests/can-show-help:
    - First simple autopkgtest for qrouter

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 04 Aug 2018 13:17:49 +0200

qrouter (1.3.103-1) unstable; urgency=medium

  * New upstream release
  * debian/rules:
    - Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk
    - Make the date formatting timezone independent using LC_ALL=C and
      "date -u"
  * debian/patches: Refreshed patches

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 12 Jul 2018 23:23:40 +0200

qrouter (1.3.80-2) unstable; urgency=medium

  [Helmut Grohne]
  * FTCBFS: fails to propagate the cross compiler from configure to make
    (Closes: #894831)

  [Ruben Undheim]
  * debian/changelog:
    - Use https in Format field
  * debian/control:
    - Update standards version to 4.1.5 - no changes
    - Updated VCS URLs to salsa.debian.org
  * debian/watch:
    - Change regular expression so that it only looks for "stable" versions
      (1.3.x)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 11 Jul 2018 22:19:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,13 @@
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: electronics
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                tcl-dev,
                tk-dev,
                txt2man
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qrouter.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/qrouter.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/science-team/qrouter
+Vcs-Git: https://salsa.debian.org/science-team/qrouter.git
 Homepage: http://opencircuitdesign.com/qrouter/
 
 Package: qrouter
@@ -31,4 +29,4 @@
  It takes the cell definitions from a LEF file, and analyzes the geometry for
  each cell to determine contact points and route obstructions. It then reads
  the cell placement, pin placement, and netlist from a DEF file, performs the
- detailed route, and writes an annotated DEF file as output. 
+ detailed route, and writes an annotated DEF file as output.

## qrouter 1.3.106

=== debian/changelog ===
qrouter (1.3.106-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 01 Nov 2018 00:01:01 +0100

qrouter (1.3.106-1) unstable; urgency=medium

  * New upstream release
  * debian/control: New standards version 4.2.1 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 12:13:19 +0200

## qrouter 1.3.108

=== debian/changelog ===
qrouter (1.3.108-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 04 Jan 2019 19:14:42 +0100

qrouter (1.3.107-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 20 Dec 2018 09:53:14 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                tcl-dev,
                tk-dev,
                txt2man
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/qrouter
 Vcs-Git: https://salsa.debian.org/science-team/qrouter.git
 Homepage: http://opencircuitdesign.com/qrouter/

=== debian/watch ===
version=3
http://opencircuitdesign.com/qrouter/archive/qrouter-(1\.3\.\d\S+)\.tgz

## qrouter 1.4.71

=== debian/changelog ===
qrouter (1.4.71-2) unstable; urgency=medium

  * Team Upload.
  [ Juhani Numminen ]
  * Add Build-Depends: libxt-dev. qrouter needs it for compilation and
    it used to be pulled in by tk8.6-dev. Closes: #982702

  [ Nilesh Patra ]
  * Mark autopkgtest as superficial (Closes: #971500)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 16 Feb 2021 15:24:45 +0530

qrouter (1.4.71-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - New standards version 4.4.1 - no changes
    - DH level 12
    - Use debhelper-compat
  * debian/watch:
    - Track versions in the 1.4.* range

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Oct 2019 20:45:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: electronics
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
+               libxt-dev,
                tcl-dev,
                tk-dev,
                txt2man
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/qrouter
 Vcs-Git: https://salsa.debian.org/science-team/qrouter.git
 Homepage: http://opencircuitdesign.com/qrouter/

=== debian/tests/control ===
Tests: can-show-help
Depends: @
Restrictions: superficial

=== debian/watch ===
version=3
http://opencircuitdesign.com/qrouter/archive/qrouter-(1\.4\.\d\S+)\.tgz

## qrouter 1.4.88

=== debian/changelog ===
qrouter (1.4.88-2) unstable; urgency=medium

  * Team Upload.
  * Update patch to fixup autopkgtest

 -- Nilesh Patra <nilesh@debian.org>  Tue, 06 May 2025 23:46:56 +0530

qrouter (1.4.88-1) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Nilesh Patra ]
  * New upstream version 1.4.88 (Closes: #1066488)
  * Refresh patches
  * Add patch for GCC 14 FTBFS

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 May 2025 01:45:05 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                tcl-dev,
                tk-dev,
                txt2man
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/qrouter
 Vcs-Git: https://salsa.debian.org/science-team/qrouter.git
 Homepage: http://opencircuitdesign.com/qrouter/

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,20 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
 
 # The build script crashes if "-pie" is given to the build command. Therefore
 # enabling the missing hardening options with LDFLAGS_MAINT_APPEND (together
 # with the --as-needed option) instead of with
 # "DEB_BUILD_MAINT_OPTIONS = hardening=+all":
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now
 
 
-CHANGELOG_DATE ?= $(shell date -d "`dpkg-parsechangelog --show-field Date`" +"%d %B %Y")
+CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")
 
 %:
-	dh $@ --with autotools_dev,autoreconf
+	dh $@
 
 
 override_dh_auto_configure:
